Get a payment
Gateway
Get a payment
This endpoint returns only basic information to display to the user to begin the payment flow.
GET
Get a payment
Documentation Index
Fetch the complete documentation index at: https://walletconnect-pay-docs-docs-wcp-fiat-coverage.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Headers
Path Parameters
Payment ID
Example:
"pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV"
Response
Payment status retrieved successfully
Example:
{
"display": {
"assetName": "USD Coin",
"assetSymbol": "USDC",
"decimals": 6,
"iconUrl": "https://assets.walletconnect.com/usdc.png",
"networkIconUrl": "https://assets.walletconnect.com/base.png",
"networkName": "Base"
},
"unit": "caip19/eip155:8453/erc20:0x0000000000000000000000000000000000000000",
"value": "1000000"
}Required range:
x >= 0Example:
{
"iconUrl": "https://example.com/icon.png",
"name": "Merchant"
}Payment status representing the lifecycle of a payment.
Payments progress through these states from creation to terminal status. Some states are specific to the payment source (pull vs push).
Available options:
requires_action, processing, succeeded, failed, expired, cancelled Example:
{
"accountCaip10": "eip155:1:0x0000000000000000000000000000000000000000",
"accountProviderIcon": "https://example.com/icon.png",
"accountProviderName": "Wallet"
}